Bug 224091 - databases/mongodb34-rocks: fails to build with boost 1.66
Summary: databases/mongodb34-rocks: fails to build with boost 1.66
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords: needs-patch
Depends on:
Blocks: 223922
  Show dependency treegraph
 
Reported: 2017-12-04 18:02 UTC by Jan Beich
Modified: 2018-02-02 09:56 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2017-12-04 18:02:25 UTC
As part of exp-run in bug 223922 this port was found to break on Boost update. If the issue won't disappear on its own by Boost release I plan to mark the port as BROKEN. Can you check with upstream maintainer or help with a fix?

$ fetch -qo- 'https://reviews.freebsd.org/D13279?download=true' | patch -Efsp0 -d /usr/ports
$ make all deinstall install clean -C/usr/ports/devel/boost-libs
$ make -C/usr/ports/databases/mongodb34-rocks
[...]
src/mongo/db/repl/oplog_fetcher.cpp:268:22: error: no matching function for call to 'make_optional'
        oqMetadata = boost::make_optional<rpc::OplogQueryMetadata>(metadataResult.getValue());
                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
/usr/local/include/boost/optional/optional.hpp:1367:56: note: candidate function not viable: no known conversion from 'mongo::rpc::OplogQueryMetadata' to 'mongo::rpc::OplogQueryMetadata &&' for 1st argument
optional<BOOST_DEDUCED_TYPENAME boost::decay<T>::type> make_optional ( T && v  )
                                                       ^
/usr/local/include/boost/optional/optional.hpp:1375:56: note: candidate function template not viable: requires 2 arguments, but 1 was provided
optional<BOOST_DEDUCED_TYPENAME boost::decay<T>::type> make_optional ( bool cond, T && v )
                                                       ^

http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2017-12-02_11h06m39s/logs/errors/mongodb34-rocks-3.4.6_3.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR223922/2017-12-03_09h31m05s/logs/errors/mongodb34-rocks-3.4.6_3.log
Comment 1 commit-hook freebsd_committer 2018-01-28 02:46:29 UTC
A commit references this bug:

Author: jbeich
Date: Sun Jan 28 02:45:33 UTC 2018
New revision: 460156
URL: https://svnweb.freebsd.org/changeset/ports/460156

Log:
  databases/mongodb34{,-rocks}: unbreak with boost 1.66

  PR:		224090 224091
  Approved by:	maintainer timeout (1 month)

Changes:
  head/databases/mongodb34/Makefile
  head/databases/mongodb34/files/patch-src_mongo_db_repl_oplog__fetcher.cpp
  head/databases/mongodb34-rocks/Makefile
  head/databases/mongodb34-rocks/files/patch-src_mongo_db_repl_oplog__fetcher.cpp
Comment 2 commit-hook freebsd_committer 2018-02-02 09:56:45 UTC
A commit references this bug:

Author: jbeich
Date: Fri Feb  2 09:55:52 UTC 2018
New revision: 460686
URL: https://svnweb.freebsd.org/changeset/ports/460686

Log:
  databases/mongodb34{,-rocks}: switch to upstream Boost 1.66 fix

  PR:		224090 224091

Changes:
  head/databases/mongodb34/Makefile
  head/databases/mongodb34/files/patch-src_mongo_db_repl_oplog__fetcher.cpp
  head/databases/mongodb34-rocks/files/patch-src_mongo_db_repl_oplog__fetcher.cpp